RDKit::PatternHolder Class Reference

Uses the pattern fingerprinter to rule out matches. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::PatternHolder:

## Public Member Functions

virtual ExplicitBitVect * | makeFingerprint (const ROMol &m) const
| Caller owns the vector! More...
Public Member Functions inherited from RDKit::FPHolderBase
virtual | ~FPHolderBase ()
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter. More...
unsigned int | addFingerprint (const ExplicitBitVect &v)
| Adds a raw bit vector to the fingerprinter. More...
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule. More...
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Detailed Description

Uses the pattern fingerprinter to rule out matches.

Definition at line 276 of file SubstructLibrary.h.

## Member Function Documentation

## makeFingerprint()

virtual ExplicitBitVect* RDKit::PatternHolder::makeFingerprint | ( | const ROMol & | m | ) | const

inline virtual

Caller owns the vector!

Implements RDKit::FPHolderBase.

Definition at line 279 of file SubstructLibrary.h.

References RDKit::PatternFingerprintMol().

The documentation for this class was generated from the following file:

- SubstructLibrary.h